function fold=dde_fold_from_zeho(zeho,varargin)
%% wrapper to extract fold point from zeho
%
% (c) DDE-BIFTOOL v. 3.2a(308), 28/10/2018
%%
if isempty(zeho.nvec)
    fold=dde_fold_from_stst(zeho,varargin{:});
else
    fold=dde_fold_create('point',zeho,'v',zeho.nvec.q0,varargin{:});
end
end

