function hopf=dde_hopf_from_BT(point,varargin)
%% convert Bogdanov-Takens point to (singular!) Hopf
%
% (c) DDE-BIFTOOL v. 3.2a(308), 28/10/2018
%%
hopf=dde_hopf_create('point',point,'omega',0,'v',point.nvec.q0);
if isfield(point,'stability')
    hopf.stability=point.stability;
end
end