function [ind,len]=dde_ind_from_point(point,free_par_ind,base)
%% Determine indices for entries in vector from structure
%
% (c) DDE-BIFTOOL v. 3.2a(315), 29/01/2019
%%
if nargin<3
    base=0;
end
[~,fields]=feval(['dde_',point.kind,'_create'],point);
ind=fields;
point.parameter=1:length(free_par_ind);
prev=base;
fnames=fieldnames(fields);
for i=1:length(fnames)
    fd=fnames{i};
    iar=reshape(1:numel(point.(fd)),size(point.(fd)));
    ind.(fd)=prev(end)+iar;
    if ~isempty(iar)
        prev=ind.(fd);
    end
    if fields.(fd)==2
        prev=prev(end)+iar;
        ind.(fd)=struct('re',ind.(fd),'im',prev);
    end
end
len=prev(end)-base;
end