function [dtext,err_ext]=dde_psol_extend_profile(dt,err_est)
%% function extending highest derivative periodically
% (used in auto_eqd)
%
% Input: dt: time increments, hd: error estimate
% Outputs: dtext,err_ext: extended time increments and error estimates
%
% (c) DDE-BIFTOOL v. 3.2a(308), 28/10/2018
%%
dtext=[dt(end),dt,dt(1)];
err_ext=[err_est(:,end),err_est,err_est(:,1)];
end
